<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2013 rel. 2 (x64) (http://www.altova.com) by Standa (Logica Czech Republic s.r.o.) -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/cds/gsdata" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/cds/gsdata" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="CDSGSDATA">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification - for electronic invoice the invoice sender - distributor.</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy. </xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification. For electronic invoice the invoice receiver - the supplier.</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Reference na předešlou zprávu</xsd:documentation>
						<xsd:documentation xml:lang="EN">Reference to the previous message</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Version">
					<xsd:complexType>
						<xsd:attribute name="data-version" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Verze dat</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="00">
										<xsd:annotation>
											<xsd:documentation source="Standardní hodnoty" xml:lang="CS"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="01">
										<xsd:annotation>
											<xsd:documentation source="Opravné hodnoty" xml:lang="CS"/>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element name="Data" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CDS">Data</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="Profile" maxOccurs="unbounded">
								<xsd:annotation>
									<xsd:documentation>Profil dat</xsd:documentation>
								</xsd:annotation>
								<xsd:complexType>
									<xsd:sequence>
										<xsd:element name="ProfileData" maxOccurs="unbounded">
											<xsd:annotation>
												<xsd:documentation>Profilová data</xsd:documentation>
											</xsd:annotation>
											<xsd:complexType>
												<xsd:attribute name="date-time-from" type="xsd:dateTime" use="required">
													<xsd:annotation>
														<xsd:documentation>Datum a čas od(UTC)  YYYY-MM-DDTHH:MM:SSZ</xsd:documentation>
													</xsd:annotation>
												</xsd:attribute>
												<xsd:attribute name="date-time-to" type="xsd:dateTime" use="required">
													<xsd:annotation>
														<xsd:documentation>Datum a čas do(UTC)  YYYY-MM-DDTHH:MM:SSZ</xsd:documentation>
													</xsd:annotation>
												</xsd:attribute>
												<xsd:attribute name="value" type="xsd:decimal" use="required">
													<xsd:annotation>
														<xsd:documentation>Hodnota</xsd:documentation>
													</xsd:annotation>
												</xsd:attribute>
											</xsd:complexType>
										</xsd:element>
									</xsd:sequence>
									<xsd:attribute name="value-type" use="required">
										<xsd:annotation>
											<xsd:documentation>Typ hodnoty</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:enumeration value="ALxCZh"/>
												<xsd:enumeration value="ALeCZh"/>
												<xsd:enumeration value="P+CZ-CZh"/>
												<xsd:enumeration value="P-CZ-CZh"/>
												<xsd:enumeration value="QCZh"/>
												<xsd:enumeration value="CBSCZZh"/>
												<xsd:enumeration value="CBSZCZh"/>
												<xsd:enumeration value="ALxZh"/>
												<xsd:enumeration value="ALeZh"/>
												<xsd:enumeration value="P+Z-Zh"/>
												<xsd:enumeration value="P-Z-Zh"/>
												<xsd:enumeration value="QZh"/>
												<xsd:enumeration value="CBSCZZdhi"/>
												<xsd:enumeration value="CBSZCZdhi"/>
												<xsd:enumeration value="ALxZ"/>
												<xsd:enumeration value="ALeZ"/>
												<xsd:enumeration value="ALxCZd"/>
												<xsd:enumeration value="ALeCZd"/>
												<xsd:enumeration value="P+CZ-CZd"/>
												<xsd:enumeration value="P-CZ-CZd"/>
												<xsd:enumeration value="QCZd"/>
												<xsd:enumeration value="CBSCZZd"/>
												<xsd:enumeration value="CBSZCZd"/>
												<xsd:enumeration value="ALxZd"/>
												<xsd:enumeration value="ALeZd"/>
												<xsd:enumeration value="P+Z-Zd"/>
												<xsd:enumeration value="P-Z-Zd"/>
												<xsd:enumeration value="QZd"/>
												<xsd:enumeration value="TSd"/>
												<xsd:enumeration value="QCZdSUMM"/>
												<xsd:enumeration value="QZdSUMM"/>
												<xsd:enumeration value="ALxCZ"/>
												<xsd:enumeration value="ALeCZ"/>
												<xsd:enumeration value="CBS_CZ->Z"/>
												<xsd:enumeration value="CBS_Z->CZ"/>
												<xsd:enumeration value="OBA_eZd"/>
												<xsd:enumeration value="OBA_xZd"/>
												<xsd:enumeration value="OBA_Zd"/>
												<xsd:enumeration value="OBA_eCZd"/>
												<xsd:enumeration value="OBA_xCZd"/>
												<xsd:enumeration value="OBA_CZd"/>
												<xsd:enumeration value="Delta_QZ"/>
												<xsd:enumeration value="Delta_QCZ"/>
												<xsd:enumeration value="Delta_CBSd"/>
												<xsd:enumeration value="OBA_eZm"/>
												<xsd:enumeration value="OBA_xZm"/>
												<xsd:enumeration value="OBA_Zm"/>
												<xsd:enumeration value="OBA_eCZm"/>
												<xsd:enumeration value="OBA_xCZm"/>
												<xsd:enumeration value="OBA_CZm"/>
												<xsd:enumeration value="Delta_QZd"/>
												<xsd:enumeration value="Delta_QCZd"/>
												<xsd:enumeration value="Delta_CBSm"/>
												<xsd:enumeration value="OBA_eZy"/>
												<xsd:enumeration value="OBA_xZy"/>
												<xsd:enumeration value="OBA_Zy"/>
												<xsd:enumeration value="OBA_eCZy"/>
												<xsd:enumeration value="OBA_xCZy"/>
												<xsd:enumeration value="OBA_Czy"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="unit" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Jednotka</xsd:documentation>
											<xsd:documentation xml:lang="EN">Unit relevant for quantity</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:enumeration value="KWH"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
								</xsd:complexType>
							</xsd:element>
						</xsd:sequence>
						<xsd:attribute name="account" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Označení accountu - skladovatel, vlastní spotřeba, SPPS TS</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="50"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="EN">Message Identification</xsd:documentation>
					<xsd:documentation xml:lang="CS">Identifikátor zprávy</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Kód zprávy upřesňující obsah zprávy.</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message code that specifies the message content.</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="GST">
							<xsd:annotation>
								<xsd:documentation source="Data PZP-PSPVZP – denní hodnoty" xml:lang="CS"/>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GSV">
							<xsd:annotation>
								<xsd:documentation source="Data PZP-PSPVZP – měsíční hodnoty" xml:lang="CS"/>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GSY">
							<xsd:annotation>
								<xsd:documentation source="Data PPS – denní hodnoty" xml:lang="CS"/>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GSM">
							<xsd:annotation>
								<xsd:documentation source="Data vyhodnocení CBS – denní data" xml:lang="CS"/>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GSP">
							<xsd:annotation>
								<xsd:documentation source="Data vyhodnocení CBS – měsíční data" xml:lang="CS"/>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GSS">
							<xsd:annotation>
								<xsd:documentation source="Data vyhodnocení CBS – roční data" xml:lang="CS"/>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy(UTC)  YYYY-MM-DDTHH:MM:SSZ</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
